Skip to main content
`Ctrl`+`K`

# KSPAppendOptionsPrefix

Appends to the prefix used for searching for all `KSP` options in the database.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPAppendOptionsPrefix(KSP ksp, const char prefix[])

Logically Collective

## Input Parameters

- ksp - the Krylov context

- prefix - the prefix string to prepend to all `KSP` option requests

## Note

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

## See Also

KSP: Linear System Solvers, `KSP`, `KSPSetOptionsPrefix()`, `KSPGetOptionsPrefix()`, `KSPSetFromOptions()`

## Level

intermediate

## Location

src/ksp/ksp/interface/itcl.c

## Examples

src/ksp/ksp/tutorials/ex9.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages